## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * most tests require a running user and / or system bus
%bcond_with check
%global debug_package %{nil}

%global crate dbus

Name:           rust-dbus
Version:        0.9.7
Release:        %autorelease
Summary:        Bindings to D-Bus

# Upstream license specification: Apache-2.0/MIT
License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/dbus
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          dbus-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop feature for building with and statically linking vendored libdbus
Patch:          dbus-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Bindings to D-Bus, which is a bus commonly used on Linux for inter-
process communication.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/changes-in-0.7.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages which
use the "futures" feature of the "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-channel" feature of the "%{crate}" crate.

%files       -n %{name}+futures-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-executor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-executor-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-executor" feature of the "%{crate}" crate.

%files       -n %{name}+futures-executor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-util-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-util" feature of the "%{crate}" crate.

%files       -n %{name}+futures-util-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-string-validation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-string-validation-devel %{_description}

This package contains library source intended for building other packages which
use the "no-string-validation" feature of the "%{crate}" crate.

%files       -n %{name}+no-string-validation-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stdfd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stdfd-devel %{_description}

This package contains library source intended for building other packages which
use the "stdfd" feature of the "%{crate}" crate.

%files       -n %{name}+stdfd-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.7-1
- Update to version 0.9.7; Fixes RHBZ#2158897

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.6-1
- Update to version 0.9.6; Fixes RHBZ#2105794

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-1
- Update to version 0.9.5; Fixes RHBZ#2009944

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-1
- Update to version 0.9.4; Fixes RHBZ#2007916

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3.
- Fixes RHBZ#1971756

* Tue Feb 23 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Update to version 0.9.2.
- Fixes RHBZ#1931161

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 11 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1.
- Fixes RHBZ#1913040

* Sun Oct 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- Update to version 0.9.0.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.8.4-1
- Update to 0.8.4

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 0.8.3-1
- Update to 0.8.3

* Fri Mar 13 2020 Josh Stone <jistone@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Fri Feb 21 20:07:15 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 06 21:27:01 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 09 2019 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-2
- Adapt to new packaging

* Fri Oct 12 2018 Josh Stone <jistone@redhat.com> - 0.6.3-1
- Update to 0.6.3

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Josh Stone <jistone@redhat.com> - 0.6.2-1
- Update to 0.6.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package

## END: Generated by rpmautospec
